<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

?>

<div class="col-md-4">
	<div class="shop-post">
		<div class="shop-gal">
			<?php do_action( 'woocommerce_before_shop_loop_item_title' ); ?>
			<div class="hover-box">
				<div class="inner-hover">
					<?php
						$handler = apply_filters( 'woocommerce_add_to_cart_handler', $product->product_type, $product );
						switch ( $handler ) {
						case "variable" :
							$add_cart = get_permalink();
						break;
						case "grouped" :
							$add_cart = get_permalink();
						break;
						case "external" :
							 $add_cart = get_permalink();
						break;
						default :
							if ( $product->is_purchasable() ) {
								 $add_cart = esc_url( $product->add_to_cart_url() );
							} else {
								 $add_cart = get_permalink();
							}
						break;
					}
					?>
					<a rel="nofollow" href="<?php echo esc_url($add_cart); ?>" data-quantity="1" data-product_id="<?php the_ID(); ?>" data-product_sku="<?php echo esc_attr($product->get_sku()); ?>" class="product_type_<?php echo esc_attr($product->product_type); ?> add_to_cart_button ajax_add_to_cart"><?php esc_html_e('Add to Cart','photofolio'); ?></a><br>
					
				</div>
			</div>
		</div>
		<div class="post-content">
			<span><?php echo $product->get_categories( ', ', '' . _n( '', '', sizeof( get_the_terms( get_the_ID(), 'product_cat' ) ), 'woocommerce' ) . ' ', '' ); ?></span>
			<h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
			<?php do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
		</div>
	</div>
</div>


